commit:     c0fb36da90c74bd40669ab6c56cb7355dcc78b56
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 24 06:03:30 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 24 07:06:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c0fb36da

dev-python/speaklater: Simplify as py3-only

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/speaklater/speaklater-1.3-r1.ebuild | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

diff --git a/dev-python/speaklater/speaklater-1.3-r1.ebuild 
b/dev-python/speaklater/speaklater-1.3-r1.ebuild
index 7f011159077..d7bee32595a 100644
--- a/dev-python/speaklater/speaklater-1.3-r1.ebuild
+++ b/dev-python/speaklater/speaklater-1.3-r1.ebuild
@@ -1,9 +1,9 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-PYTHON_COMPAT=( python3_{6..9} pypy )
+PYTHON_COMPAT=( python3_{6..9} )
 inherit distutils-r1
 
 DESCRIPTION="Lazy strings for Python"
@@ -14,14 +14,12 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="amd64 x86"
 
-python_prepare() {
+python_configure_all() {
        # https://github.com/mitsuhiko/speaklater/issues/2
-       if python_is_python3; then
-               2to3 -n -w --no-diffs ${PN}.py || die
-               2to3 -d -n -w --no-diffs ${PN}.py || die
-               # fix unicode in doctests
-               sed -ri "s/(^ {4}l?)u'/\1'/" ${PN}.py || die
-       fi
+       2to3 -n -w --no-diffs ${PN}.py || die
+       2to3 -d -n -w --no-diffs ${PN}.py || die
+       # fix unicode in doctests
+       sed -ri "s/(^ {4}l?)u'/\1'/" ${PN}.py || die
 }
 
 python_test() {

Reply via email to